import 'package:flutter/material.dart';
import 'package:pc_plugins/widgets/site_preview/site_preview_exp.dart'
if (dart.library.io) 'package:pc_plugins/widgets/site_preview/site_preview_mobile.dart'
if (dart.library.html) 'package:pc_plugins/widgets/site_preview/site_preview_web.dart';

abstract class SitePreview extends StatefulWidget {
  factory SitePreview({required String url,double width=90,double height=100,
    void Function()? onTap,bool loading=false,bool interactive=false,
    bool border=true,Widget Function()? loadingBuilder}) => init(
      url: url, width: width,height: height,onTap: onTap,loading: loading,interactive: interactive,
      border: border,loadingBuilder: loadingBuilder);
}
